Subject: Re: [GCD] Migrating repositories, issues, and patches to Codeberg

From: [email-masked]
Date: Thu, 13 Mar 2025 15:05:53 +0000

I'm not really using Guix at this point, because of some weird 
(and probably rare) updating issues (1) but I still do really like 
the project.  Also please note that I am barely a guix contributor.
I only have a few patches in guix, but I hope Guix continues to succeed!

Here's my two cents:

Guix sysadmins are really tired of maintaining mumi, right?  We want to move
that maintence burden onto a forge that is externally maintained.

The goal in this proposal is to move guix development to a forge and depricate 
issues.guix.gnu.org, and the guix mailing lists: [email-masked] 
and [email-masked], [email-masked].

Would it be possible to depricate issues.guix.gnu.org, use codeberg as a forge,
and keep the mailing lists [email-masked], [email-masked] and [email-masked]?  

That way people that perfer mailing lists can continue to use them, and the
people that want to use a forge can.  And the guix sysadmins no longer
have to maintain issues.guix.gnu.org.  The Savannah people would continue
to maintain guix's mailing lists.

I would request that we at least keep the [email-masked].  I like being
able to email and ask for help.  

I am going to miss reading [email-masked].  That's always a fun past time. :(

Joshua

1)  https://gnucode.me/guix-deploy-failed-to-update-my-guix-server.html